GPG Error for apt-get


apt-get 發生 GPG Error 的處理方式.

轉載自: GPG error: for apt-get

錯誤訊息

W: GPG error: ftp://www.hk.debian.org unstable Release: 
    The following signatures couldn't be verified
    because the public key is not available: 
    NO_PUBKEY F1D53D8C4F368D5D NO_PUBKEY 010908312D230C5F
W: You may want to run apt-get update to correct these problems

解決方法:

$ gpg --keyserver wwwkeys.eu.pgp.net --recv-keys F1D53D8C4F368D5D
$ gpg --armor --export F1D53D8C4F368D5D | apt-key add -
$ gpg --keyserver wwwkeys.eu.pgp.net --recv-keys 010908312D230C5F
$ gpg --armor --export 010908312D230C5F | apt-key add -
$ apt-get update

感謝 Range 大師告知, 下述兩個步驟即可解決此問題 🙂

$wget http://ftp-master.debian.org/ziyi_key_2006.asc
$apt-key add ziyi_key_2006.asc

遇到下述狀況:

There are no public key available for the following key IDs:
A70DAF536070D3A1

解法:

# 這個一定要用 root, 否則後面 apt-key add 會有問題.
# sudo gpg --recv-key --keyserver wwwkeys.eu.pgp.net A70DAF536070D3A1
# sudo gpg --export A70DAF536070D3A1 | apt-key add -


關於 Tsung

對新奇的事物都很有興趣, 喜歡簡單的東西, 過簡單的生活.
本篇發表於 My_Note-Unix。將永久鏈結加入書籤。

GPG Error for apt-get 有 2 則回應

  1. Range 說道:

    自2006年1月?始,?我?用apt-get update命令更新系???出?以下??:
    W: GPG error: http://ftp.us.debian.org unstable Release: 由于?有公?,下列?名?法?行??: NO_PUBKEY 010908312D230C5F
    W: 您可能需要?行 apt-get update ?解??些??
    原因:
    ?是因?/etc/apt/trusted.gpg于2006年1月底?期,?密?用于??Debian?件包是否可信。
    解?方法:
    下? http://ftp-master.debian.org/ziyi_key_2006.asc 公?。
    用apt-key add ziyi_key_2006.asc命令添加即可。
    上文?自 : http://www.ringkee.com/forum/t_show?topic_id=420&forum_id=3

  2. Tsung 說道:

    非常謝謝您的指點, 我晚一點馬上試試看, 感恩 m(_ _)m

發表迴響